Skip Menu |
 

This queue is for tickets about the WebService-GeoIPify CPAN distribution.

Report information
The Basics
Id: 128454
Status: patched
Priority: 0/
Queue: WebService-GeoIPify

People
Owner: KIANMENG [...] cpan.org
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.01
Fixed in: (no value)



Subject: Could not find sub 'StrLength' exported by Types::Common::String
Download (untitled) / with headers
text/plain 767b
On some of my smokers the test suite fails with ... # Failed test 'WebService/GeoIPify.pm loaded ok' # at t/00-compile.t line 43. # got: '65280' # expected: '0' Could not find sub 'StrLength' exported by Types::Common::String at /home/cpansand/.cpan/build/2019020718/WebService-GeoIPify-0.01-0/blib/lib/WebService/GeoIPify.pm line 15. BEGIN failed--compilation aborted at /home/cpansand/.cpan/build/2019020718/WebService-GeoIPify-0.01-0/blib/lib/WebService/GeoIPify.pm line 15. Compilation failed in require at -e line 1. # Looks like you failed 1 test of 1. t/00-compile.t .............. Dubious, test returned 1 (wstat 256, 0x100) Failed 1/1 subtests ... (etc) ... Maybe the prereq version for Types::Common::String has to be increased or so?
Download (untitled) / with headers
text/plain 1.5k
On 2019-02-07 13:44:29, SREZIC wrote: Show quoted text
> On some of my smokers the test suite fails with > > ... > # Failed test 'WebService/GeoIPify.pm loaded ok' > # at t/00-compile.t line 43. > # got: '65280' > # expected: '0' > Could not find sub 'StrLength' exported by Types::Common::String at > /home/cpansand/.cpan/build/2019020718/WebService-GeoIPify-0.01- > 0/blib/lib/WebService/GeoIPify.pm line 15. > BEGIN failed--compilation aborted at > /home/cpansand/.cpan/build/2019020718/WebService-GeoIPify-0.01- > 0/blib/lib/WebService/GeoIPify.pm line 15. > Compilation failed in require at -e line 1. > # Looks like you failed 1 test of 1. > t/00-compile.t .............. > Dubious, test returned 1 (wstat 256, 0x100) > Failed 1/1 subtests > ... (etc) ... > > > Maybe the prereq version for Types::Common::String has to be increased > or so?
Probably yes: 1.004002 for Types::Standard seems to be required. Statistical analysis: **************************************************************** Regression 'mod:Types::Standard' **************************************************************** Name Theta StdErr T-stat [0='const'] 0.0000 0.0000 5.49 [1='eq_1.000006'] 0.0000 0.0000 1.64 [2='eq_1.002001'] -0.0000 0.0000 -4.38 [3='eq_1.002002'] -0.0000 0.0000 -2.87 [4='eq_1.004002'] 1.0000 0.0000 5397611773456863.00 [5='eq_1.004004'] 1.0000 0.0000 8061743335283504.00 R^2= 1.000, N= 103, K= 6 ****************************************************************
Download (untitled) / with headers
text/plain 1.8k
Thanks for the report. Should be fixed in 0.04. May I know how do we generate the 'Statistical analysis' locally? On Thu Apr 25 18:48:01 2019, SREZIC wrote: Show quoted text
> On 2019-02-07 13:44:29, SREZIC wrote:
> > On some of my smokers the test suite fails with > > > > ... > > # Failed test 'WebService/GeoIPify.pm loaded ok' > > # at t/00-compile.t line 43. > > # got: '65280' > > # expected: '0' > > Could not find sub 'StrLength' exported by Types::Common::String at > > /home/cpansand/.cpan/build/2019020718/WebService-GeoIPify-0.01- > > 0/blib/lib/WebService/GeoIPify.pm line 15. > > BEGIN failed--compilation aborted at > > /home/cpansand/.cpan/build/2019020718/WebService-GeoIPify-0.01- > > 0/blib/lib/WebService/GeoIPify.pm line 15. > > Compilation failed in require at -e line 1. > > # Looks like you failed 1 test of 1. > > t/00-compile.t .............. > > Dubious, test returned 1 (wstat 256, 0x100) > > Failed 1/1 subtests > > ... (etc) ... > > > > > > Maybe the prereq version for Types::Common::String has to be > > increased > > or so?
> > Probably yes: 1.004002 for Types::Standard seems to be required. > Statistical analysis: > > **************************************************************** > Regression 'mod:Types::Standard' > **************************************************************** > Name Theta StdErr T-stat > [0='const'] 0.0000 0.0000 5.49 > [1='eq_1.000006'] 0.0000 0.0000 1.64 > [2='eq_1.002001'] -0.0000 0.0000 -4.38 > [3='eq_1.002002'] -0.0000 0.0000 -2.87 > [4='eq_1.004002'] 1.0000 0.0000 > 5397611773456863.00 > [5='eq_1.004004'] 1.0000 0.0000 > 8061743335283504.00 > > R^2= 1.000, N= 103, K= 6 > ****************************************************************
Download (untitled) / with headers
text/plain 2.5k
The easiest is to go to the analysis website --- there are already pregenerated reports, e.g.: http://analysis.cpantesters.org/solved?distv=WebService-GeoIPify-0.03 The analysis website is also linked from every matrix.cpantesters.org page. If you want to do it yourself, then you can try the module https://metacpan.org/release/CPAN-Testers-ParseReport It comes with the script ctgetreports which has a --solve option, which does the analysis stuff (however, on first runs it is usually somewhat slow as it has to fetch all the reports). Regards, Slaven On 2019-04-26 12:15:00, KIANMENG wrote: Show quoted text
> Thanks for the report. Should be fixed in 0.04. > May I know how do we generate the 'Statistical analysis' locally? > > On Thu Apr 25 18:48:01 2019, SREZIC wrote:
> > On 2019-02-07 13:44:29, SREZIC wrote:
> > > On some of my smokers the test suite fails with > > > > > > ... > > > # Failed test 'WebService/GeoIPify.pm loaded ok' > > > # at t/00-compile.t line 43. > > > # got: '65280' > > > # expected: '0' > > > Could not find sub 'StrLength' exported by Types::Common::String at > > > /home/cpansand/.cpan/build/2019020718/WebService-GeoIPify-0.01- > > > 0/blib/lib/WebService/GeoIPify.pm line 15. > > > BEGIN failed--compilation aborted at > > > /home/cpansand/.cpan/build/2019020718/WebService-GeoIPify-0.01- > > > 0/blib/lib/WebService/GeoIPify.pm line 15. > > > Compilation failed in require at -e line 1. > > > # Looks like you failed 1 test of 1. > > > t/00-compile.t .............. > > > Dubious, test returned 1 (wstat 256, 0x100) > > > Failed 1/1 subtests > > > ... (etc) ... > > > > > > > > > Maybe the prereq version for Types::Common::String has to be > > > increased > > > or so?
> > > > Probably yes: 1.004002 for Types::Standard seems to be required. > > Statistical analysis: > > > > **************************************************************** > > Regression 'mod:Types::Standard' > > **************************************************************** > > Name Theta StdErr T-stat > > [0='const'] 0.0000 0.0000 5.49 > > [1='eq_1.000006'] 0.0000 0.0000 1.64 > > [2='eq_1.002001'] -0.0000 0.0000 -4.38 > > [3='eq_1.002002'] -0.0000 0.0000 -2.87 > > [4='eq_1.004002'] 1.0000 0.0000 > > 5397611773456863.00 > > [5='eq_1.004004'] 1.0000 0.0000 > > 8061743335283504.00 > > > > R^2= 1.000, N= 103, K= 6 > > ****************************************************************
>


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.